# [Deprecated] Batch Refresh Cache - BatchRefreshNewUcdnDomainCache

## Overview

Batch Refresh Cache

 > 💡 This interface is about to be deprecated, use RefreshNewUcdnDomainCache to refresh the cache.




## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `BatchRefreshNewUcdnDomainCache`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.scloudsg.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **ProjectId** | string | Project ID. If not filled in, the default project is used, and the sub-account must be filled in. Please refer to the [GetProjectList interface](api/summary/get_project_list). |No|
| **Type** | string | Refresh type, 'file' represents file refresh, 'dir' represents path refresh. |**Yes**|
| **UrlList** | string | List of URLs to be refreshed, described in JSON format. When refreshing multiple URL lists, a maximum of 1000 can be submitted at a time. Each domain must start with "http://domain/". Directories should end with "/", for example, to refresh all files in directory a, the format is: http://abc.ucloud.cn/a/; to refresh all img.png files in directory a, the format is http://abc.ucloud.cn/a/img.png. Please correctly submit the domain to be refreshed. |**Yes**|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **TaskId** | string | The task id corresponding to the submitted url |No|




## Example

### Request Example
    
```
https://api.scloudsg.com/?Action=BatchRefreshNewUcdnDomainCache
&ProjectId=xxxx
&Type=xYdynueZ
&UrlList.n=UqIHhRZT
```

### Response Example
    
```json
{
  "Action": "BatchRefreshNewUcdnDomainCacheResponse",
  "RetCode": 0,
  "TaskId": "nwyImnXy"
}
```





